CephFS - Bug #10542

ceph-fuse cap trimming fails with: mount: only root can use "--options" option
01/14/2015 01:54 PM - John Spray
Description
This appears to be from:

760 static void remount_cb (void *handle)

761 {
762 // used for trimming kernel dcache. when remounting a file system, linux kernel
763 // trims all unused dentries in the file system

764 char cmd[1024];

765 CephFuse: :Handle *cfuse = (CephFuse::Handle *)handle;

766 snprintf (cmd, sizeof (cmd), "mount -i -o remount %s", cfuse->mountpoint);
767 system(cmd) ;

768 }

Seen on fedora when running ceph-fuse as unprivileged user.

ceph-qga-suite runs ceph-fuse as root, so presumably doesn't see this issue. Side note : maybe we should be running ceph-fuse as
an unprivileged user in testing?

Related issues:
Related to CephFS - Bug #10277: ceph-fuse: Consistent pjd failure in getcwd Resolved 12/08/2014

History

#1 - 02/10/2015 05:47 PM - Greg Farnum

| tested this on Fedora 20 (rex004) and am not seeing any warnings. Where did it show up for you?

#2 - 02/11/2015 01:33 PM - John Spray

It comes out of stdout/stderr (i.e. not the ceph log). Was visible for me in a ./ceph-fuse -d terminal.

#3 - 02/12/2015 06:38 AM - Greg Farnum

Ah, | managed to get it with the "-d" flag. | was under the apparently mistaken impression that if it ran as a process we would get the stdout in the
terminal anyway, but | guess we managed to shut it up some time in the last several years. ;)

#4 - 02/26/2015 11:55 PM - Greg Farnum

This is at least no longer an issue on kernels older than 3.18 as we aren't doing remount with them as of
commit:5f42b54ab15e77c983cb0d8ac81df383c395f6f0 :)

#5 - 07/20/2016 05:35 AM - Greg Farnum
- Category set to Administration/Usability
- Component(FS) ceph-fuse added

I think this got resolved into one of the many fuse cache invalidate PRs, but I'm not sure.

#6 - 07/20/2017 11:33 PM - Patrick Donnelly

- Status changed from New to Resolved

This is caught during startup now and causes ceph-fuse to fail unless --client-die-on-failed-remount=false is set. Marking this as resolved.
